package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.qmth.themis.business.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考生违纪处理
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_e_exam_breach_log", description = "考生违纪处理")
public class TEExamBreachLog extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "考试ID")
    @TableId(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "场次ID")
    @TableId(value = "exam_activity_id")
    private Long examActivityId;

    @ApiModelProperty(value = "考试记录ID")
    @TableId(value = "exam_record_id")
    private Long examRecordId;

    @ApiModelProperty(value = "考生id")
    @TableId(value = "exam_student_id")
    private Long examStudentId;

    @ApiModelProperty(value = "类型")
    @TableId(value = "type")
    private Integer type;

    @ApiModelProperty(value = "描述")
    @TableId(value = "description")
    private String description;

    @ApiModelProperty(value = "状态，0：处理，1：撤销")
    @TableId(value = "status")
    private Integer status;

    @ApiModelProperty(value = "备注")
    @TableId(value = "remark")
    private String remark;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
