package com.qmth.themis.business.service.impl;

import com.qmth.themis.business.constant.SystemConstant;
import com.qmth.themis.business.dto.MqDto;
import com.qmth.themis.business.enums.MqEnum;
import com.qmth.themis.business.service.MqDtoService;
import com.qmth.themis.business.service.ProducerServer;
import com.qmth.themis.business.util.RedisUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;

/**
 * @Description: mqdto 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/2
 */
@Service
public class MqDtoServiceImpl implements MqDtoService {

    @Resource
    ProducerServer producerServer;

    @Resource
    RedisUtil redisUtil;

    /**
     * 组装单向消息
     *
     * @param o
     * @return
     */
    @Override
    public MqDto assembleSendOneWayMsg(Object... o) {
        MqDto mqDto = null;
        try {
//            for (int i = 0; i < 100; i++) {
//                TBSession tbSession = new TBSession(sessionId, String.valueOf(user.getId()), authDto.getRoleEnum().name(), platform.getSource(), platform.name(), deviceId, request.getLocalAddr(), token, expire);
//                redisUtil.setUserSession(sessionId, tbSession);
//                int random = (int) (Math.random() * Source.values().length);
            //往mq发送消息插入会话信息
            MqEnum mqEnum = MqEnum.valueOf(String.valueOf(o[3]));
            mqDto = new MqDto(String.valueOf(o[0]), String.valueOf(o[1]), o[2], mqEnum, String.valueOf(o[4]));
//                mqDto = new MqDto(SystemConstant.SESSION_TOPIC, Source.values()[random].name(), tbSession, MqEnum.SESSION, tbSession.getId());
//                mqDto.setSequence(i);
            mqDto.setAck(SystemConstant.DELIVERED_ACK_TYPE);
            producerServer.sendOneWay(mqDto);
            switch (mqEnum.ordinal()) {
                case 0:
                    redisUtil.setSessionTopicList(SystemConstant.SESSION_TOPIC_ERROR_LIST, mqDto.getId(), mqDto);
                    break;
                default:
                    redisUtil.setSessionTopicList(SystemConstant.USERLOG_TOPIC_ERROR_LIST, mqDto.getId(), mqDto);
                    break;
            }
//            }
        } catch (Exception e) {
            e.printStackTrace();
            if (Objects.nonNull(mqDto)) {
                mqDto.setAck(SystemConstant.UNSEND_ACK_TYPE);
            }
        }
        return mqDto;
    }
}
